--- old/usr/src/tools/cw/cw.c	Sun Jun 18 12:12:37 2017
+++ new/usr/src/tools/cw/cw.c	Sun Jun 18 12:12:37 2017
@@ -21,6 +21,7 @@
 
 /*
  * Copyright 2011, Richard Lowe.
+ * Copyright 2017 RackTop Systems.
  */
 /*
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
@@ -36,7 +37,7 @@
  */
 
 /* If you modify this file, you must increment CW_VERSION */
-#define	CW_VERSION	"1.30"
+#define	CW_VERSION	"1.31"
 
 /*
  * -#		Verbose mode
@@ -1394,6 +1395,14 @@
 			/* Just ignore -YS,... for now */
 			if (strncmp(arg, "S,", 2) == 0)
 				break;
+			/* Reformat -YP or GCC will moan */
+			if (strncmp(arg, "P,", 2) == 0) {
+				char *s;
+				(void) asprintf(&s, "-Y%s", arg);
+				newae(ctx->i_ae, s);
+				free(s);
+				break;
+			}
 			if (strncmp(arg, "l,", 2) == 0) {
 				char *s = strdup(arg);
 				s[0] = '-';
